This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 861076 - Flip the default value of ldap_initgroups_use_matching_rule_in_chain
Flip the default value of ldap_initgroups_use_matching_rule_in_chain
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-27 09:14 EDT by Dmitri Pal
Modified: 2013-06-06 14:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: sssd-1.9.1-1.el6
Doc Type: Bug Fix
Doc Text:
No Documentation Needed
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:37:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-09-27 09:14:02 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1535

The matching rule can actually be slower than not using it. It is also only used when ID mapping is not in use, because when ID-mapping we default to using tokenGroups.

We should change the default of ldap_initgroups_use_matching_rule_in_chain from true to false and update the manual page accordingly.
Comment 2 Kaushik Banerjee 2013-01-08 02:17:03 EST
Verified with 1.9.2-59.

Verified in manpage sssd-ldap

And output of beaker automation run:
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: idmap_015 bz861076 Flip the default value of ldap_initgroups_use_matching_rule_in_chain
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

Stopping sssd: [  OK  ]
Starting sssd: [  OK  ]
[  OK  ]
:: [12:49:42] ::  Sleeping for 5 seconds
:: [   PASS   ] :: File '/var/log/sssd/sssd_ADTEST.log' should contain 'Option ldap_initgroups_use_matching_rule_in_chain is FALSE'
Comment 3 errata-xmlrpc 2013-02-21 04:37:23 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html

Note You need to log in before you can comment on or make changes to this bug.